Bug 1415818 - Cannot start a Vagrant guest with memory specified
Summary: Cannot start a Vagrant guest with memory specified
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: vagrant-libvirt
Version: 24
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 19:31 UTC by Randy Barlow
Modified: 2017-02-02 00:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 00:08:14 UTC
Type: Bug


Attachments (Terms of Use)
Example Vagrantfile (700 bytes, text/plain)
2017-01-23 19:31 UTC, Randy Barlow
no flags Details

Description Randy Barlow 2017-01-23 19:31:18 UTC
Created attachment 1243753 [details]
Example Vagrantfile

Hello!

I am trying to start a Vagrant guest and it is failing. I've whittled the issue down to it happening when I specify an amount of memory in my Vagrantfile. I've attached a simple Vagrantfile that demonstrates the issue. If the domain.memory line is removed the guest will start, but it will not start with it in place, with this error:


==> bodhi: Starting domain.
There was an error talking to Libvirt. The error message is shown
below:

Call to virDomainCreateWithFlags failed: internal error: process exited while connecting to monitor: warning: host doesn't support requested feature: CPUID.01H:EDX.ds [bit 21]
warning: host doesn't support requested feature: CPUID.01H:EDX.acpi [bit 22]
warning: host doesn't support requested feature: CPUID.01H:EDX.ht [bit 28]
warning: host doesn't support requested feature: CPUID.01H:EDX.tm [bit 29]
warning: host doesn't support requested feature: CPUID.01H:EDX.pbe [bit 31]
warning: host doesn't support requested feature: CPUID.01H:ECX.dtes64 [bit 2]
warning: host doesn't support requested feature: CPUID.01H:ECX.monitor [bit 3]
warning: host doesn't support requested feature: CPUID.01H:ECX.ds_cpl [bit 4]
warning: host doesn't support requested feature: CPUID.01H:ECX.vmx [bit 5]
warning: host doesn't support requested feature: CPUID.01H:ECX.smx [bit 6]
warning: host doesn't support requested feature: CPUID.01H:ECX.est [bit 7]
warning: host doesn't support requested feature: CPUID.01H:ECX.tm2 [bit 8]
warning: host doesn't support requested feature: CPUID.01H:ECX.xt


I have another host that is on F25 that does not experience this issue, and I know that F24 did not have this issue during November as that is when I last used this particular host with the same Vagrantfile.

This is vagrant-libvirt-0.0.32-3.fc24.noarch. Thanks for reading!

Comment 1 Vít Ondruch 2017-01-24 08:51:18 UTC
Just from top of my head, I remember there were some changes in what type is acceptable as parameter for "memory". Have you tried to pass in "4096" instead of 4096, i.e. string instead of integer? If this does not help, then I'll need to take a deeper look ...

Comment 2 Randy Barlow 2017-02-02 00:08:14 UTC
Hello Vit! I went to try your suggestion today, and the very same Vagrantfile I attached a week ago is working now. Very strange! Perhaps some update I applied during the last week fixed it. Anyways, thanks for your suggestion!


Note You need to log in before you can comment on or make changes to this bug.